# $Revision: 1.15 $, $Date: 2008-03-02 17:31:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	SHA
Summary:	Digest::SHA - interface to the SHA algorithm
Summary(pl.UTF-8):	Digest::SHA - interfejs do algorytmu SHA
Name:		perl-Digest-SHA
Version:	5.45
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	06b625b075c2decf196f06482fde9061
URL:		http://search.cpan.org/dist/Digest-SHA/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::SHA is a complete implementation of the NIST Secure Hash
Standard. It gives Perl programmers a convenient way to calculate
SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message digests.
The module can handle all types of input, including partial-byte
data.

%description -l pl.UTF-8
Digest::SHA to pełna implementacja standardu NIST Secure Hash.
Udostępnia programistom perlowym wygodny sposób obliczania skrótów
wiadomości SHA-1, SHA-224, SHA-256, SHA-384 i SHA-512. Ten moduł
potrafi obsłużyć wszelkie rodzaje wejścia, włącznie z danymi
składającymi się z części bajtów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Digest/*
%dir %{perl_vendorarch}/auto/Digest/*
%{perl_vendorarch}/auto/Digest/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/*/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-SHA.spec,v $
Revision 1.15  2008-03-02 17:31:12  radek
- release 3

Revision 1.14  2008-02-10 12:08:58  arekm
- rel 2

Revision 1.13  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.12  2007-12-24 00:04:07  zbyniu
- up to 5.45

Revision 1.11  2007-05-27 13:54:00  qboosh
- generic URL

Revision 1.10  2007/05/27 11:13:40  agaran
- up to 5.44, rel 1, builds here

Revision 1.9  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.7  2006/07/27 18:48:46  agaran
- up to 5.42, rel 1, builds here,

Revision 1.6  2006/05/29 06:58:29  blaass
- ver up to 5.39

Revision 1.5  2006/05/26 06:46:18  blaass
- up to 5.38

Revision 1.4  2006/05/16 17:47:25  blaass
- up to 5.37

Revision 1.3  2006/02/25 18:26:12  qboosh
- pl desc

Revision 1.2  2006/02/22 19:27:19  baggins
- release 1

Revision 1.1  2006/02/22 19:24:05  baggins
- inittial revision
